Completions (Java SE 26 & JDK 26)
Description: declaration: module: java.compiler, package: javax.annotation.processing, class: Completions
Keywords: javax.annotation.processing.Completions class

# Class Completions

java.lang.Object
javax.annotation.processing.Completions

public class Completions extends Object
Utility class for assembling `Completion` objects.

Since:
  1.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Completion`
  `of(String value)`
  Returns a completion of the value and an empty message.
  `static Completion`
  `of(String value, String message)`
  Returns a completion of the value and message.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### of

    public static Completion of(String value, String message)
    Returns a completion of the value and message.
    Parameters:
      `value` - the text of the completion
      `message` - a message about the completion
    Returns:
      a completion of the value and message

  - ### of

    public static Completion of(String value)
    Returns a completion of the value and an empty message.
    Parameters:
      `value` - the text of the completion
    Returns:
      a completion of the value and an empty message